"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const c_1 = require("./c");
function CSSRender(config = {
    preserveEmptyBlock: false
}) {
    const cssr = {
        c: ((...args) => c_1.c(cssr, ...args)),
        use: (plugin, ...args) => plugin.install(cssr, ...args),
        context: {},
        config
    };
    return cssr;
}
exports.CSSRender = CSSRender;
